Index: /branches/version-2_12-dev/data/class/SC_UploadFile.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_UploadFile.php	(revision 22796)
@@ -23,6 +23,5 @@
 
 /* アップロードファイル管理クラス */
-class SC_UploadFile 
-{
+class SC_UploadFile {
     var $temp_dir;
     var $save_dir;
@@ -59,6 +58,5 @@
 
     // ファイル管理クラス
-    function __construct($temp_dir, $save_dir)
-    {
+    function __construct($temp_dir, $save_dir) {
         $this->temp_dir = rtrim($temp_dir, '/') . '/';
         $this->save_dir = rtrim($save_dir, '/') . '/';
@@ -67,6 +65,5 @@
 
     // ファイル情報追加
-    function addFile($disp_name, $keyname, $arrExt, $size, $necessary=false, $width=0, $height=0, $image=true)
-    {
+    function addFile($disp_name, $keyname, $arrExt, $size, $necessary=false, $width=0, $height=0, $image=true) {
         $this->disp_name[] = $disp_name;
         $this->keyname[] = $keyname;
@@ -79,6 +76,5 @@
     }
     // サムネイル画像の作成
-    function makeThumb($src_file, $width, $height, $dst_file)
-    {
+    function makeThumb($src_file, $width, $height, $dst_file) {
         $objThumb = new gdthumb();
         $ret = $objThumb->Main($src_file, $width, $height, $dst_file);
@@ -94,6 +90,5 @@
 
     // アップロードされたファイルを保存する。
-    function makeTempFile($keyname, $rename = IMAGE_RENAME)
-    {
+    function makeTempFile($keyname, $rename = IMAGE_RENAME) {
         $objErr = new SC_CheckError_Ex();
         $cnt = 0;
@@ -142,6 +137,5 @@
 
     // アップロードされたダウンロードファイルを保存する。
-    function makeTempDownFile($keyname='down_file')
-    {
+    function makeTempDownFile($keyname='down_file') {
         $objErr = new SC_CheckError_Ex();
         $cnt = 0;
@@ -174,6 +168,5 @@
 
     // 画像を削除する。
-    function deleteFile($keyname)
-    {
+    function deleteFile($keyname) {
         $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
@@ -192,6 +185,5 @@
 
     // 画像を削除する。
-    function deleteKikakuFile($keyname)
-    {
+    function deleteKikakuFile($keyname) {
         $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
@@ -210,6 +202,5 @@
 
     // 一時ファイルパスを取得する。
-    function getTempFilePath($keyname)
-    {
+    function getTempFilePath($keyname) {
         $cnt = 0;
         $filepath = '';
@@ -226,6 +217,5 @@
 
     // 一時ファイルを保存ディレクトリに移す
-    function moveTempFile()
-    {
+    function moveTempFile() {
         $objImage = new SC_Image_Ex($this->temp_dir);
 
@@ -248,6 +238,5 @@
 
     // ダウンロード一時ファイルを保存ディレクトリに移す
-    function moveTempDownFile()
-    {
+    function moveTempDownFile() {
         $objImage = new SC_Image_Ex($this->temp_dir);
         for ($cnt = 0; $cnt < count($this->keyname); $cnt++) {
@@ -266,6 +255,5 @@
 
     // HIDDEN用のファイル名配列を返す
-    function getHiddenFileList()
-    {
+    function getHiddenFileList() {
         $cnt = 0;
         $arrRet = array();
@@ -283,6 +271,5 @@
 
     // HIDDENで送られてきたファイル名を取得する
-    function setHiddenFileList($arrPOST)
-    {
+    function setHiddenFileList($arrPOST) {
         $cnt = 0;
         foreach ($this->keyname as $val) {
@@ -299,6 +286,5 @@
     }
 
-    function setHiddenKikakuFileList($arrPOST)
-    {
+    function setHiddenKikakuFileList($arrPOST) {
         $cnt = 0;
         foreach ($this->keyname as $val) {
@@ -316,6 +302,5 @@
 
     // フォームに渡す用のファイル情報配列を返す
-    function getFormFileList($temp_url, $save_url, $real_size = false)
-    {
+    function getFormFileList($temp_url, $save_url, $real_size = false) {
         $arrRet = array();
         $cnt = 0;
@@ -356,6 +341,5 @@
 
     // フォームに渡す用のダウンロードファイル情報を返す
-    function getFormDownFile()
-    {
+    function getFormDownFile() {
         $arrRet = '';
         for ($cnt = 0; $cnt < count($this->keyname); $cnt++) {
@@ -368,6 +352,5 @@
         return $arrRet;
     }
-    function getFormKikakuDownFile()
-    {
+    function getFormKikakuDownFile() {
         $arrRet = array();
         $cnt = 0;
@@ -384,6 +367,5 @@
 
     // DB保存用のファイル名配列を返す
-    function getDBFileList()
-    {
+    function getDBFileList() {
         $cnt = 0;
         $dbFileList = array();
@@ -400,6 +382,5 @@
 
     // DBで保存されたファイル名配列をセットする
-    function setDBFileList($arrVal)
-    {
+    function setDBFileList($arrVal) {
         $cnt = 0;
         foreach ($this->keyname as $val) {
@@ -412,6 +393,5 @@
 
     // DBで保存されたダウンロードファイル名をセットする
-    function setDBDownFile($arrVal)
-    {
+    function setDBDownFile($arrVal) {
         if (isset($arrVal['down_realfilename']) && $arrVal['down_realfilename'] != '') {
             $this->save_file[0] = $arrVal['down_realfilename'];
@@ -420,6 +400,5 @@
 
     // DBで保存されたダウンロードファイル名をセットする(setDBDownFileと統合予定)
-    function setPostFileList($arrPost)
-    {
+    function setPostFileList($arrPost) {
         for ($cnt = 0;$cnt < count($this->keyname); $cnt++) {
             if (isset($arrPost['temp_down_realfilename:' . ($cnt+1)])) {
@@ -430,6 +409,5 @@
 
     // 画像をセットする
-    function setDBImageList($arrVal)
-    {
+    function setDBImageList($arrVal) {
         $cnt = 0;
         foreach ($this->keyname as $val) {
@@ -442,6 +420,5 @@
 
     // DB上のファイルの内削除要求があったファイルを削除する。
-    function deleteDBFile($arrVal)
-    {
+    function deleteDBFile($arrVal) {
         $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
@@ -457,6 +434,5 @@
 
     // DB上のダウンロードファイルの内削除要求があったファイルを削除する。
-    function deleteDBDownFile($arrVal)
-    {
+    function deleteDBDownFile($arrVal) {
         $objImage = new SC_Image_Ex($this->temp_dir);
         $cnt = 0;
@@ -469,6 +445,5 @@
 
     // 必須判定
-    function checkExists($keyname = '')
-    {
+    function checkExists($keyname = '') {
         $cnt = 0;
         $arrRet = array();
@@ -492,6 +467,5 @@
 
     // 拡大率を指定して画像保存
-    function saveResizeImage($keyname, $to_w, $to_h)
-    {
+    function saveResizeImage($keyname, $to_w, $to_h) {
         $path = '';
 
@@ -514,6 +488,5 @@
      * @return string
      */
-    function lfGetTmpImageName($rename, $keyname = '', $uploadfile = '')
-    {
+    function lfGetTmpImageName($rename, $keyname = '', $uploadfile = '') {
 
         if ($rename === true) {
Index: /branches/version-2_12-dev/data/class/SC_FormParam.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_FormParam.php	(revision 22796)
@@ -30,6 +30,5 @@
  * @author LOCKON CO.,LTD.
  */
-class SC_FormParam 
-{
+class SC_FormParam {
 
     /**
@@ -63,6 +62,5 @@
      * コンストラクタ
      */
-    function __construct()
-    {
+    function __construct() {
         $this->check_dir = IMAGE_SAVE_REALDIR;
 
@@ -84,6 +82,5 @@
      * @deprecated 2.12.0 #1702
      */
-    function initParam()
-    {
+    function initParam() {
         $this->disp_name = array();
         $this->keyname = array();
@@ -96,6 +93,5 @@
 
     // パラメーターの追加
-    function addParam($disp_name, $keyname, $length = '', $convert = '', $arrCheck = array(), $default = '', $input_db = true)
-    {
+    function addParam($disp_name, $keyname, $length = '', $convert = '', $arrCheck = array(), $default = '', $input_db = true) {
         $this->disp_name[] = $disp_name;
         $this->keyname[] = $keyname;
@@ -111,6 +107,5 @@
     // $arrVal  :$arrVal['keyname']・・の配列を一致したキーのインスタンスに格納する
     // $seq     :trueの場合、$arrVal[0]~の配列を登録順にインスタンスに格納する
-    function setParam($arrVal, $seq = false)
-    {
+    function setParam($arrVal, $seq = false) {
         if (!is_array($arrVal)) return;
         if (!$seq) {
@@ -126,6 +121,5 @@
 
     // 画面表示用タイトル生成
-    function setHtmlDispNameArray()
-    {
+    function setHtmlDispNameArray() {
         foreach ($this->keyname as $index => $key) {
             $find = false;
@@ -151,12 +145,10 @@
 
     // 画面表示用タイトル取得
-    function getHtmlDispNameArray()
-    {
+    function getHtmlDispNameArray() {
         return $this->html_disp_name;
     }
 
     // 複数列パラメーターの取得
-    function setParamList($arrVal2d, $keyname)
-    {
+    function setParamList($arrVal2d, $keyname) {
         // DBの件数を取得する。
         $no = 1;
@@ -168,6 +160,5 @@
     }
 
-    function setDBDate($db_date, $year_key = 'year', $month_key = 'month', $day_key = 'day')
-    {
+    function setDBDate($db_date, $year_key = 'year', $month_key = 'month', $day_key = 'day') {
         if (empty($db_date)) {
             return;
@@ -180,6 +171,5 @@
 
     // キーに対応した値をセットする。
-    function setValue($key, $value)
-    {
+    function setValue($key, $value) {
         if (!in_array($key, $this->keyname)) {
             // TODO 警告発生
@@ -189,6 +179,5 @@
     }
 
-    function toLower($key)
-    {
+    function toLower($key) {
         if (isset($this->arrValue[$key])) {
             $this->arrValue[$key] = strtolower($this->arrValue[$key]);
@@ -197,6 +186,5 @@
 
     // エラーチェック
-    function checkError($br = true)
-    {
+    function checkError($br = true) {
         $arrErr = array();
 
@@ -230,5 +218,4 @@
                     case 'SELECT_CHECK':
                     case 'FILE_NAME_CHECK_BY_NOUPLOAD':
-                    case 'NUM_POINT_CHECK':
                         $this->recursionCheck($this->disp_name[$index], $func,
                             $value, $arrErr, $key, $this->length[$index]);
@@ -315,6 +302,5 @@
      * @see mb_convert_kana
      */
-    function convParam()
-    {
+    function convParam() {
         foreach ($this->keyname as $index => $key) {
             if (isset($this->arrValue[$key])) {
@@ -330,6 +316,5 @@
      * @param string $convert mb_convert_kana の変換オプション
      */
-    function recursionConvParam(&$value, $convert)
-    {
+    function recursionConvParam(&$value, $convert) {
         if (is_array($value)) {
             foreach ($value as $key => $val) {
@@ -349,6 +334,5 @@
      * @return array 連想配列
      */
-    function getHashArray($arrKey = array())
-    {
+    function getHashArray($arrKey = array()) {
         $arrRet = array();
         foreach ($this->keyname as $keyname) {
@@ -361,6 +345,5 @@
 
     // DB格納用配列の作成
-    function getDbArray()
-    {
+    function getDbArray() {
         $dbArray = array();
         foreach ($this->keyname as $index => $key) {
@@ -378,6 +361,5 @@
      * @return array 縦横を入れ替えた配列
      */
-    function getSwapArray($arrKey = array())
-    {
+    function getSwapArray($arrKey = array()) {
         $arrTmp = $this->getHashArray($arrKey);
         return SC_Utils_Ex::sfSwapArray($arrTmp);
@@ -385,12 +367,10 @@
 
     // 項目名一覧の取得
-    function getTitleArray()
-    {
+    function getTitleArray() {
         return $this->disp_name;
     }
 
     // 項目数を返す
-    function getCount()
-    {
+    function getCount() {
         $count = count($this->keyname);
         return $count;
@@ -398,6 +378,5 @@
 
     // フォームに渡す用のパラメーターを返す
-    function getFormParamList()
-    {
+    function getFormParamList() {
         $formParamList = array();
         foreach ($this->keyname as $index => $key) {
@@ -419,12 +398,10 @@
      * @return array キー名の一覧
      */
-    function getKeyList()
-    {
+    function getKeyList() {
         return $this->keyname;
     }
 
     // キー名と一致した値を返す
-    function getValue($keyname, $default = '')
-    {
+    function getValue($keyname, $default = '') {
         $ret = null;
         foreach ($this->keyname as $key) {
@@ -452,6 +429,5 @@
      * @deprecated
      */
-    function splitParamCheckBoxes($keyname)
-    {
+    function splitParamCheckBoxes($keyname) {
         foreach ($this->keyname as $key) {
             if ($key == $keyname) {
@@ -469,6 +445,5 @@
      * @return void
      */
-    function trimParam($has_wide_space = true)
-    {
+    function trimParam($has_wide_space = true) {
         foreach ($this->arrValue as &$value) {
             $this->recursionTrim($value, $has_wide_space);
@@ -483,10 +458,9 @@
      * @return void
      */
-    function recursionTrim(&$value, $has_wide_space = true)
-    {
+    function recursionTrim(&$value, $has_wide_space = true) {
         $pattern = '/^[ 　\r\n\t]*(.*?)[ 　\r\n\t]*$/u';
         if (is_array($value)) {
             foreach ($value as $key => $val) {
-                $this->recursionTrim($value[$key], $has_wide_space);
+                $this->recursionTrim($value[$key], $convert);
             }
         } else {
@@ -508,6 +482,5 @@
      * @return array 検索結果引き継ぎ用の連想配列.
      */
-    function getSearchArray($prefix = 'search_')
-    {
+    function getSearchArray($prefix = 'search_') {
         $arrResults = array();
         foreach ($this->keyname as $key) {
@@ -525,6 +498,5 @@
      * @deprecated 2.12.0 必要ならば getFormParamList メソッドに引数を追加するなどで実現可能
      */
-    function getFormDispArray()
-    {
+    function getFormDispArray() {
         $formDispArray = array();
         foreach ($this->keyname as $index => $key) {
@@ -546,6 +518,5 @@
      * カスタマイズおよびプラグインで使用されるのを想定
      */
-    function removeParam($keyname)
-    {
+    function removeParam($keyname) {
         $index = array_search($keyname, $this->keyname);
 
@@ -590,6 +561,5 @@
      * @param mixed $value 指定した内容に上書きする
      */
-    function overwriteParam($keyname, $target, $value)
-    {
+    function overwriteParam($keyname, $target, $value) {
         $index = array_search($keyname, $this->keyname);
 
Index: /branches/version-2_12-dev/data/class/SC_MobileUserAgent.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_MobileUserAgent.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_MobileUserAgent.php	(revision 22796)
@@ -28,6 +28,5 @@
  * すべてのメソッドはクラスメソッド。
  */
-class SC_MobileUserAgent 
-{
+class SC_MobileUserAgent {
     /**
      * 携帯端末のキャリアを表す文字列を取得する。
@@ -38,6 +37,5 @@
      *                      携帯端末ではない場合は false を返す。
      */
-    function getCarrier()
-    {
+    function getCarrier() {
         $objAgent =& Net_UserAgent_Mobile::singleton();
         if (Net_UserAgent_Mobile::isError($objAgent)) {
@@ -69,6 +67,5 @@
      * @return string|false 取得したIDを返す。取得できなかった場合は false を返す。
      */
-    function getId()
-    {
+    function getId() {
         $objAgent =& Net_UserAgent_Mobile::singleton();
         if (Net_UserAgent_Mobile::isError($objAgent)) {
@@ -88,6 +85,5 @@
      * @return string 携帯端末のモデルを表す文字列を返す。
      */
-    function getModel()
-    {
+    function getModel() {
         $objAgent =& Net_UserAgent_Mobile::singleton();
         if (Net_UserAgent_Mobile::isError($objAgent)) {
@@ -112,6 +108,5 @@
      * @return boolean サポートしている場合は true、それ以外の場合は false を返す。
      */
-    function isSupported()
-    {
+    function isSupported() {
         $objAgent =& Net_UserAgent_Mobile::singleton();
 
@@ -143,6 +138,5 @@
      * @return boolean サポートしている場合は true、それ以外の場合は false を返す。 
      */
-    function isMobile()
-    { 
+    function isMobile() { 
         $objAgent =& Net_UserAgent_Mobile::singleton(); 
         if (Net_UserAgent_Mobile::isError($objAgent)) { 
Index: /branches/version-2_12-dev/data/class/SC_ClassAutoloader.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_ClassAutoloader.php	(revision 22567)
+++ /branches/version-2_12-dev/data/class/SC_ClassAutoloader.php	(revision 22796)
@@ -29,6 +29,5 @@
  * @version $Id$
  */
-class SC_ClassAutoloader 
-{
+class SC_ClassAutoloader {
     /**
      * クラスのオートローディング本体
@@ -37,6 +36,5 @@
      * @return void
      */
-    public static function autoload($class)
-    {
+    public static function autoload($class) {
         $arrClassNamePart = explode('_', $class);
         $is_ex = end($arrClassNamePart) === 'Ex';
Index: /branches/version-2_12-dev/data/class/SC_CheckError.php
===================================================================
--- /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 22609)
+++ /branches/version-2_12-dev/data/class/SC_CheckError.php	(revision 22796)
@@ -27,12 +27,10 @@
  *----------------------------------------------------------------------
  */
-class SC_CheckError 
-{
+class SC_CheckError {
     var $arrErr = array();
     var $arrParam;
 
     // チェック対象の値が含まれる配列をセットする。
-    function __construct($array = '')
-    {
+    function __construct($array = '') {
         if ($array != '') {
             $this->arrParam = $array;
@@ -43,6 +41,5 @@
     }
 
-    function doFunc($value, $arrFunc)
-    {
+    function doFunc($value, $arrFunc) {
         foreach ($arrFunc as $key) {
             $this->$key($value);
@@ -56,6 +53,5 @@
      * @return void
      */
-    function HTML_TAG_CHECK($value)
-    {
+    function HTML_TAG_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -63,10 +59,6 @@
         $this->createParam($value);
         // HTMLに含まれているタグを抽出する
-        $arrTagIncludedHtml = array();
-        preg_match_all('/<\/?([a-z]+)/i', $this->arrParam[$value[1]], $arrTagIncludedHtml);
-        // 抽出結果を小文字に変換
-        foreach ($arrTagIncludedHtml[1] as $key => $matchedTag) {
-            $arrTagIncludedHtml[1][$key] = strtolower($matchedTag);
-        }
+        preg_match_all('/<\/?([a-z]+)/i', $this->arrParam[$value[1]], $arrTagIncludedHtml = array());
+
         $arrDiffTag = array_diff($arrTagIncludedHtml[1], $value[2]);
 
@@ -89,6 +81,5 @@
      * @return void
      */
-    function EXIST_CHECK($value)
-    {
+    function EXIST_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -109,6 +100,5 @@
      * @return void
      */
-    function EXIST_CHECK_REVERSE($value)
-    {
+    function EXIST_CHECK_REVERSE($value) {
         if (isset($this->arrErr[$value[0]])) {
             return;
@@ -127,6 +117,5 @@
      * @return void
      */
-    function SPTAB_CHECK($value)
-    {
+    function SPTAB_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -145,6 +134,5 @@
      * @return void
      */
-    function NO_SPTAB($value)
-    {
+    function NO_SPTAB($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -157,6 +145,5 @@
 
     /* ゼロで開始されている数値の判定 */
-    function ZERO_START($value)
-    {
+    function ZERO_START($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -175,6 +162,5 @@
      * @return void
      */
-    function SELECT_CHECK($value)
-    {
+    function SELECT_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -193,6 +179,5 @@
      * @return void
      */
-    function EQUAL_CHECK($value)
-    {
+    function EQUAL_CHECK($value) {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
             return;
@@ -212,6 +197,5 @@
      * @return void
      */
-    function DIFFERENT_CHECK($value)
-    {
+    function DIFFERENT_CHECK($value) {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
             return;
@@ -231,6 +215,5 @@
      * @return void
      */
-    function GREATER_CHECK($value)
-    {
+    function GREATER_CHECK($value) {
         if (isset($this->arrErr[$value[2]]) || isset($this->arrErr[$value[3]])) {
             return;
@@ -250,6 +233,5 @@
      * @return void
      */
-    function MAX_LENGTH_CHECK($value)
-    {
+    function MAX_LENGTH_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -269,6 +251,5 @@
      * @return void
      */
-    function MIN_LENGTH_CHECK($value)
-    {
+    function MIN_LENGTH_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -288,6 +269,5 @@
      * @return void
      */
-    function MAX_CHECK($value)
-    {
+    function MAX_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -307,6 +287,5 @@
      * @return void
      */
-    function MIN_CHECK($value)
-    {
+    function MIN_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -325,6 +304,5 @@
      * @return void
      */
-    function NUM_CHECK($value)
-    {
+    function NUM_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -343,6 +321,5 @@
      * @return void
      */
-    function NUM_POINT_CHECK($value)
-    {
+    function NUM_POINT_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -354,6 +331,5 @@
     }
 
-    function ALPHA_CHECK($value)
-    {
+    function ALPHA_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -378,6 +354,5 @@
      * @return void
      */
-    function TEL_CHECK($value)
-    {
+    function TEL_CHECK($value) {
         $telItemLen = isset($value[4]) ? $value[4] : TEL_ITEM_LEN;
         $telLen = isset($value[5]) ? $value[5] : TEL_LEN;
@@ -420,6 +395,5 @@
         value[1]    : 判定対象要素名
     */
-    function FULL_EXIST_CHECK($value)
-    {
+    function FULL_EXIST_CHECK($value) {
         $max = count($value);
         $this->createParam($value);
@@ -449,6 +423,5 @@
         value[1]    : 判定対象要素名
     */
-    function ALL_EXIST_CHECK($value)
-    {
+    function ALL_EXIST_CHECK($value) {
         $max = count($value);
 
@@ -481,6 +454,5 @@
         value[1]    : 判定対象要素名
     */
-    function ONE_EXIST_CHECK($value)
-    {
+    function ONE_EXIST_CHECK($value) {
         $max = count($value);
         $this->createParam($value);
@@ -510,6 +482,5 @@
         value[1]    : 判定対象要素名
     */
-    function TOP_EXIST_CHECK($value)
-    {
+    function TOP_EXIST_CHECK($value) {
         $max = count($value);
         $this->createParam($value);
@@ -544,6 +515,5 @@
     // 入力文字がカナ以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function KANA_CHECK($value)
-    {
+    function KANA_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -558,6 +528,5 @@
     // 入力文字がカナ以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function KANABLANK_CHECK($value)
-    {
+    function KANABLANK_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -572,6 +541,5 @@
     // 入力文字が英数字以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function ALNUM_CHECK($value)
-    {
+    function ALNUM_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -586,6 +554,5 @@
     // 入力文字が英数記号以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function GRAPH_CHECK($value)
-    {
+    function GRAPH_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -600,6 +567,5 @@
     // 入力値で0が許されない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象
-    function ZERO_CHECK($value)
-    {
+    function ZERO_CHECK($value) {
         $this->createParam($value);
         if ($this->arrParam[$value[1]] == '0') {
@@ -611,6 +577,5 @@
     // 入力文字の桁数判定　→　最小桁数＜入力文字列＜最大桁数
     // value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 最小桁数 value[3] = 最大桁数
-    function NUM_RANGE_CHECK($value)
-    {
+    function NUM_RANGE_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -627,6 +592,5 @@
     // 入力文字の桁数判定　→　入力文字列 = 桁数　以外はNGの場合
     // value[0] = 項目名 value[1] = 判定対象文字列 value[2] = 桁数
-    function NUM_COUNT_CHECK($value)
-    {
+    function NUM_COUNT_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -647,6 +611,5 @@
      * @return void
      */
-    function EMAIL_CHECK($value)
-    {
+    function EMAIL_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -697,6 +660,5 @@
     //　メールアドレスに使用する文字を正規表現で判定する
     //  value[0] = 項目名 value[1] = 判定対象メールアドレス
-    function EMAIL_CHAR_CHECK($value)
-    {
+    function EMAIL_CHAR_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -711,6 +673,5 @@
     //　URLを正規表現で判定する。デフォルトでhttp://があってもOK
     //  value[0] = 項目名 value[1] = 判定対象URL
-    function URL_CHECK($value)
-    {
+    function URL_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -723,6 +684,5 @@
     /*　IPアドレスの判定　*/
     //  value[0] = 項目名 value[1] = 判定対象IPアドレス文字列
-    function IP_CHECK($value)
-    {
+    function IP_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -747,6 +707,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象 value[2]=array(拡張子)
-    function FILE_EXT_CHECK($value)
-    {
+    function FILE_EXT_CHECK($value) {
         if (isset($this->arrErr[$value[1]]) || count($value[2]) == 0) {
             return;
@@ -774,6 +733,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定ディレクトリ
-    function FIND_FILE($value)
-    {
+    function FIND_FILE($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -798,6 +756,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定サイズ(KB)
-    function FILE_EXIST_CHECK($value)
-    {
+    function FILE_EXIST_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -812,6 +769,5 @@
     // 受け取りがない場合エラーを返す
     // value[0] = 項目名 value[1] = 判定対象  value[2] = 指定サイズ(KB)
-    function FILE_SIZE_CHECK($value)
-    {
+    function FILE_SIZE_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -831,6 +787,5 @@
     // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function FILE_NAME_CHECK($value)
-    {
+    function FILE_NAME_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -845,6 +800,5 @@
     // 入力文字が英数字,'_','-'以外ならエラーを返す
     // value[0] = 項目名 value[1] = 判定対象文字列
-    function FILE_NAME_CHECK_BY_NOUPLOAD($value)
-    {
+    function FILE_NAME_CHECK_BY_NOUPLOAD($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -861,6 +815,5 @@
     // value[2] = MM
     // value[3] = DD
-    function CHECK_DATE($value)
-    {
+    function CHECK_DATE($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -885,6 +838,5 @@
     // value[4] = HH
     // value[5] = mm
-    function CHECK_DATE2($value)
-    {
+    function CHECK_DATE2($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -906,6 +858,5 @@
     // value[1] = YYYY
     // value[2] = MM
-    function CHECK_DATE3($value)
-    {
+    function CHECK_DATE3($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -928,6 +879,5 @@
     // value[2] = MM
     // value[3] = DD
-    function CHECK_BIRTHDAY($value)
-    {
+    function CHECK_BIRTHDAY($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -974,6 +924,5 @@
     // value[6] = end_month
     // value[7] = end_day
-    function CHECK_SET_TERM($value)
-    {
+    function CHECK_SET_TERM($value) {
 
         // 期間指定
@@ -1025,6 +974,5 @@
 
     /*-----------------------------------------------------------------*/
-    function CHECK_SET_TERM2($value)
-    {
+    function CHECK_SET_TERM2($value) {
 
         // 期間指定
@@ -1069,6 +1017,5 @@
     // value[4] = end_year
     // value[5] = end_month
-    function CHECK_SET_TERM3($value)
-    {
+    function CHECK_SET_TERM3($value) {
 
         // 期間指定
@@ -1095,6 +1042,5 @@
 
     //ディレクトリ存在チェック
-    function DIR_CHECK($value)
-    {
+    function DIR_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -1107,6 +1053,5 @@
 
     // ドメインチェック
-    function DOMAIN_CHECK($value)
-    {
+    function DOMAIN_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -1120,6 +1065,5 @@
     //　メールアドレスを正規表現で判定する
     // value[0] = 項目名 value[1] = 判定対象メールアドレス
-    function MOBILE_EMAIL_CHECK($value)
-    {
+    function MOBILE_EMAIL_CHECK($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -1140,6 +1084,5 @@
      * @return void
      */
-    function CHECK_REGIST_CUSTOMER_EMAIL($value)
-    {
+    function CHECK_REGIST_CUSTOMER_EMAIL($value) {
         if (isset($this->arrErr[$value[1]])) {
             return;
@@ -1167,6 +1110,5 @@
      * @example $objErr->doFunc(array('URL', 'contents', $arrReviewDenyURL), array('PROHIBITED_STR_CHECK'));
      */
-    function PROHIBITED_STR_CHECK($value)
-    {
+    function PROHIBITED_STR_CHECK($value) {
         if (isset($this->arrErr[$value[1]]) || empty($this->arrParam[$value[1]])) {
             return;
@@ -1177,5 +1119,5 @@
 
         $pattern = '/' . join('|', $prohibitedStr) . '/i';
-        if (preg_match_all($pattern, $targetStr, $matches)) {
+        if (preg_match_all($pattern, $targetStr, $matches = array())) {
             $this->arrErr[$value[1]] = '※ ' . $value[0] . 'は入力できません。<br />';
         }
@@ -1189,6 +1131,5 @@
      * @return void
      */
-    function EVAL_CHECK($value)
-    {
+    function EVAL_CHECK($value) {
         if (isset($this->arrErr[$value[0]])) {
             return;
@@ -1211,6 +1152,5 @@
      * @return bool パラメーターとして適切な文字列か
      */
-    function evalCheck($value)
-    {
+    function evalCheck($value) {
         return @eval('return is_scalar(' . $value . ');');
     }
@@ -1223,6 +1163,5 @@
      * @return void
      */
-    function createParam($value)
-    {
+    function createParam($value) {
         foreach ($value as $key) {
             if (is_string($key) || is_int($key)) {
@@ -1239,6 +1178,5 @@
      * @return boolean 値が10進数の数値表現のみの場合 true
      */
-    function numelicCheck($string)
-    {
+    function numelicCheck($string) {
         /*
          * XXX 10進数の数値表現か否かを調べたいだけだが,
Index: /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php	(revision 22567)
+++ /branches/version-2_12-dev/data/smarty_extends/function.html_checkboxes_ex.php	(revision 22796)
@@ -39,6 +39,5 @@
  * @uses smarty_function_escape_special_chars()
  */
-function smarty_function_html_checkboxes_ex($params, &$smarty)
-{
+function smarty_function_html_checkboxes_ex($params, &$smarty) {
     require_once $smarty->_get_plugin_filepath('shared','escape_special_chars');
 
@@ -128,6 +127,5 @@
 }
 
-function smarty_function_html_checkboxes_output_ex($name, $value, $output, $selected, $extra, $separator, $labels, $label_ids, $tags)
-{
+function smarty_function_html_checkboxes_output_ex($name, $value, $output, $selected, $extra, $separator, $labels, $label_ids, $tags) {
     $_output = '';
 
Index: /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php	(revision 22567)
+++ /branches/version-2_12-dev/data/smarty_extends/modifier.numeric_emoji.php	(revision 22796)
@@ -9,6 +9,5 @@
  * @return string 出力
  */
-function smarty_modifier_numeric_emoji($value)
-{
+function smarty_modifier_numeric_emoji($value) {
     // 数字絵文字 (0～9) の絵文字番号
     static $numeric_emoji_index = array('134', '125', '126', '127', '128', '129', '130', '131', '132', '133');
Index: /branches/version-2_12-dev/data/smarty_extends/modifier.h.php
===================================================================
--- /branches/version-2_12-dev/data/smarty_extends/modifier.h.php	(revision 22567)
+++ /branches/version-2_12-dev/data/smarty_extends/modifier.h.php	(revision 22796)
@@ -19,6 +19,5 @@
  * @return string
  */
-function smarty_modifier_h($string)
-{
+function smarty_modifier_h($string) {
     return htmlspecialchars($string, ENT_QUOTES);
 }
